<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a id="index_g"></a>- g -</h3><ul>
<li>GREATEST_ABORT_ON_FAIL
: <a class="el" href="byte__stack_2greatest_8h.html#a69c09b878d09cf6435f3417bddf82825">greatest.h</a>
</li>
<li>greatest_abort_on_fail()
: <a class="el" href="byte__stack_2greatest_8h.html#a7e11fd5aa79d8e23f0cf74594f662336">greatest.h</a>
</li>
<li>GREATEST_ABORT_ON_FAIL
: <a class="el" href="list_2greatest_8h.html#a69c09b878d09cf6435f3417bddf82825">greatest.h</a>
</li>
<li>greatest_abort_on_fail()
: <a class="el" href="list_2greatest_8h.html#a7e11fd5aa79d8e23f0cf74594f662336">greatest.h</a>
</li>
<li>greatest_all_passed()
: <a class="el" href="checks_2greatest_8h.html#a821633843bf1b0489f47dc758fada161">greatest.h</a>
</li>
<li>GREATEST_ASSERT
: <a class="el" href="byte__stack_2greatest_8h.html#a2ff5e21bb525a9a9f5696ce4276c6dec">greatest.h</a>
</li>
<li>GREATEST_ASSERT_ENUM_EQ
: <a class="el" href="byte__stack_2greatest_8h.html#a9f856e3af5c36961caaeb4bc467239ef">greatest.h</a>
</li>
<li>GREATEST_ASSERT_ENUM_EQm
: <a class="el" href="byte__stack_2greatest_8h.html#aa8c75ec813a4a77846a922ebdf693b10">greatest.h</a>
</li>
<li>GREATEST_ASSERT_EQ
: <a class="el" href="byte__stack_2greatest_8h.html#ad14758b842b6ee1e96407274fcb72e41">greatest.h</a>
</li>
<li>GREATEST_ASSERT_EQ_FMT
: <a class="el" href="byte__stack_2greatest_8h.html#a6fc77ffccb1d6c10391e5a542141d5a0">greatest.h</a>
</li>
<li>GREATEST_ASSERT_EQ_FMTm
: <a class="el" href="byte__stack_2greatest_8h.html#ab5d10e09b46e5402c235131c90f15ed0">greatest.h</a>
</li>
<li>GREATEST_ASSERT_EQm
: <a class="el" href="byte__stack_2greatest_8h.html#a0605ef310582716262aeb3bd46eeae22">greatest.h</a>
</li>
<li>GREATEST_ASSERT_EQUAL_T
: <a class="el" href="checks_2greatest_8h.html#a8bdce2bf1523ad0c4a63dd0137d2843e">greatest.h</a>
</li>
<li>GREATEST_ASSERT_EQUAL_Tm
: <a class="el" href="byte__stack_2greatest_8h.html#afee667f076c55fea7fd25a8987565400">greatest.h</a>
</li>
<li>GREATEST_ASSERT_FALSE
: <a class="el" href="byte__stack_2greatest_8h.html#a436e2113c52ac543f31ced3bc92b1e8b">greatest.h</a>
</li>
<li>GREATEST_ASSERT_FALSEm
: <a class="el" href="byte__stack_2greatest_8h.html#a9cfb551ba27312980c0c708e1fe98245">greatest.h</a>
</li>
<li>GREATEST_ASSERT_IN_RANGE
: <a class="el" href="byte__stack_2greatest_8h.html#a8b95cf93bf4c41380d7b8e815504141e">greatest.h</a>
</li>
<li>GREATEST_ASSERT_IN_RANGEm
: <a class="el" href="byte__stack_2greatest_8h.html#affcf775c393391b0be4ccd4c55936d69">greatest.h</a>
</li>
<li>GREATEST_ASSERT_MEM_EQ
: <a class="el" href="byte__stack_2greatest_8h.html#a789f14fc48239f095a504113207261ed">greatest.h</a>
</li>
<li>GREATEST_ASSERT_MEM_EQm
: <a class="el" href="byte__stack_2greatest_8h.html#ae9f854fbfe29ca74ca2529baa0aeffc2">greatest.h</a>
</li>
<li>GREATEST_ASSERT_OR_LONGJMP
: <a class="el" href="byte__stack_2greatest_8h.html#adfd1de3186abbf5840bdfbc0af8b5567">greatest.h</a>
</li>
<li>GREATEST_ASSERT_OR_LONGJMPm
: <a class="el" href="byte__stack_2greatest_8h.html#a4255dd746c8c3ee7364d9f382611651d">greatest.h</a>
</li>
<li>GREATEST_ASSERT_STR_EQ
: <a class="el" href="byte__stack_2greatest_8h.html#a7dea6f135ddb3a8a31bda581f83afaca">greatest.h</a>
</li>
<li>GREATEST_ASSERT_STR_EQm
: <a class="el" href="byte__stack_2greatest_8h.html#a208bacc1e761bc2ff7274fdcdc1ea56b">greatest.h</a>
</li>
<li>GREATEST_ASSERT_STRN_EQ
: <a class="el" href="byte__stack_2greatest_8h.html#afd3c284cc4735652f16fc7f9e0c1f1af">greatest.h</a>
</li>
<li>GREATEST_ASSERT_STRN_EQm
: <a class="el" href="byte__stack_2greatest_8h.html#ad493300f3710f792cf1ce449f35746f6">greatest.h</a>
</li>
<li>GREATEST_ASSERTm
: <a class="el" href="byte__stack_2greatest_8h.html#af809cccfa66beaf995d1100f6255d3ae">greatest.h</a>
</li>
<li>GREATEST_CHECK_CALL
: <a class="el" href="byte__stack_2greatest_8h.html#aeab11a7dc0582970eab5bb15dc286119">greatest.h</a>
</li>
<li>GREATEST_CLOCK_DIFF
: <a class="el" href="byte__stack_2greatest_8h.html#a4356bad044fc390fed6b4191dc2c29a0">greatest.h</a>
</li>
<li>GREATEST_DEFAULT_WIDTH
: <a class="el" href="byte__stack_2greatest_8h.html#a2ca1edf218b7dd049267df54d077fe80">greatest.h</a>
</li>
<li>greatest_do_assert_equal_t()
: <a class="el" href="byte__stack_2greatest_8h.html#a7ba8bb47fdbaeb440ced9c62db3b18f7">greatest.h</a>
</li>
<li>greatest_enum_str_fun
: <a class="el" href="byte__stack_2greatest_8h.html#ab0565fcfe682e48260f35fecc62a5c4b">greatest.h</a>
</li>
<li>greatest_equal_cb
: <a class="el" href="byte__stack_2greatest_8h.html#a63051105daa9933874d9fc7c3732d428">greatest.h</a>
</li>
<li>GREATEST_FAIL
: <a class="el" href="byte__stack_2greatest_8h.html#aab8f6049e6a327d76d0f6aa01161ed60">greatest.h</a>
</li>
<li>GREATEST_FAIL_WITH_LONGJMP
: <a class="el" href="byte__stack_2greatest_8h.html#a029c6846b80839307ab27d50734c36c3">greatest.h</a>
</li>
<li>GREATEST_FAIL_WITH_LONGJMPm
: <a class="el" href="byte__stack_2greatest_8h.html#aae73f6bd64f1b99ccfa96b9347befdf9">greatest.h</a>
</li>
<li>GREATEST_FAILm
: <a class="el" href="byte__stack_2greatest_8h.html#a3f3d94a9cdd48a1c58037756ef05dd27">greatest.h</a>
</li>
<li>GREATEST_FAILURE_ABORT
: <a class="el" href="byte__stack_2greatest_8h.html#a992d319433b63fd3fa3cc00cfc071f93">greatest.h</a>
</li>
<li>GREATEST_FIRST_FAIL
: <a class="el" href="byte__stack_2greatest_8h.html#a751397e9e40f32b678a2915a8c284b13">greatest.h</a>
</li>
<li>GREATEST_FLAG_ABORT_ON_FAIL
: <a class="el" href="byte__stack_2greatest_8h.html#a659d88ea97ccb9d13c9f02519af37fdfab5f04b5aaf3ec0f4b995ed175a8d6494">greatest.h</a>
</li>
<li>GREATEST_FLAG_FIRST_FAIL
: <a class="el" href="byte__stack_2greatest_8h.html#a659d88ea97ccb9d13c9f02519af37fdfa3db5a4285d81ee4bbf6f0b84e9fcb442">greatest.h</a>
</li>
<li>GREATEST_FLAG_LIST_ONLY
: <a class="el" href="byte__stack_2greatest_8h.html#a659d88ea97ccb9d13c9f02519af37fdfad6bde0b9b4559a6edc6f86956ae9adc7">greatest.h</a>
</li>
<li>greatest_flag_t
: <a class="el" href="byte__stack_2greatest_8h.html#a659d88ea97ccb9d13c9f02519af37fdf">greatest.h</a>
</li>
<li>GREATEST_FLOAT
: <a class="el" href="byte__stack_2greatest_8h.html#a37383a94488dfd090f4e74aee3e73101">greatest.h</a>
</li>
<li>GREATEST_FLOAT_FMT
: <a class="el" href="checks_2greatest_8h.html#a887f18cd79415cb3a07287f62dbe4eb0">greatest.h</a>
</li>
<li>GREATEST_FPRINTF
: <a class="el" href="byte__stack_2greatest_8h.html#a50c818df21034e86044ca65ece3560f9">greatest.h</a>
</li>
<li>greatest_get_report()
: <a class="el" href="byte__stack_2greatest_8h.html#a5dffb495b7cfbd90449da71b6256db93">greatest.h</a>
</li>
<li>greatest_get_verbosity()
: <a class="el" href="byte__stack_2greatest_8h.html#a6d5183d908433971d696c87941a492a9">greatest.h</a>
</li>
<li>GREATEST_IGNORE_TEST
: <a class="el" href="byte__stack_2greatest_8h.html#a99a0288e0b91f9cd2ca7a3d9c4e38f06">greatest.h</a>
</li>
<li>greatest_info
: <a class="el" href="byte__stack_2greatest_8h.html#ad018f113893f815b9b3bdea4d91f2cac">greatest.h</a>
</li>
<li>GREATEST_INIT()
: <a class="el" href="byte__stack_2greatest_8h.html#af1b4e8b6a98806ff1604d717926cff2a">greatest.h</a>
</li>
<li>GREATEST_IS_VERBOSE
: <a class="el" href="byte__stack_2greatest_8h.html#af9c92dc996cc29e9ba7b3bfe14df01fa">greatest.h</a>
</li>
<li>greatest_list_only()
: <a class="el" href="byte__stack_2greatest_8h.html#a788d682b23bd008b765a2f19f5fada75">greatest.h</a>
</li>
<li>GREATEST_LIST_ONLY
: <a class="el" href="byte__stack_2greatest_8h.html#aca9436ac90166aebf72d946fcf7b8e16">greatest.h</a>
</li>
<li>GREATEST_MAIN_BEGIN
: <a class="el" href="byte__stack_2greatest_8h.html#a9e930063a079676638e3ac6c280bae57">greatest.h</a>
</li>
<li>GREATEST_MAIN_DEFS
: <a class="el" href="byte__stack_2greatest_8h.html#ad0cab96095010ad0179ab7ca3d08a270">greatest.h</a>
, <a class="el" href="big__int_2test_8c.html#aef7a8a5d9334dfd39adce9279e120378">test.c</a>
, <a class="el" href="byte__stack_2test__main_8c.html#aef7a8a5d9334dfd39adce9279e120378">test_main.c</a>
, <a class="el" href="test__checks_8c.html#aef7a8a5d9334dfd39adce9279e120378">test_checks.c</a>
, <a class="el" href="checksum__fletcher16_2test_8c.html#aef7a8a5d9334dfd39adce9279e120378">test.c</a>
, <a class="el" href="list_2test__main_8c.html#aef7a8a5d9334dfd39adce9279e120378">test_main.c</a>
, <a class="el" href="sort__selection_2test_8c.html#aef7a8a5d9334dfd39adce9279e120378">test.c</a>
</li>
<li>GREATEST_MAIN_END
: <a class="el" href="byte__stack_2greatest_8h.html#a236d59be56f900b1b1459a0fe3d2c5cb">greatest.h</a>
</li>
<li>greatest_memory_cmp_env
: <a class="el" href="byte__stack_2greatest_8h.html#ad435e816550e28073ffac37bc51f777a">greatest.h</a>
</li>
<li>GREATEST_PASS
: <a class="el" href="byte__stack_2greatest_8h.html#ab16182dad7629de72ebda1fba3aea751">greatest.h</a>
</li>
<li>GREATEST_PASSm
: <a class="el" href="checks_2greatest_8h.html#ac7d2db054893434105484590c91e157a">greatest.h</a>
</li>
<li>GREATEST_PRINT_REPORT()
: <a class="el" href="list_2greatest_8h.html#a9891b8d9773ffc5f9babb0da08b229ee">greatest.h</a>
</li>
<li>greatest_printf_cb
: <a class="el" href="byte__stack_2greatest_8h.html#aa59105a832a39f45ed86746ee21a6c25">greatest.h</a>
</li>
<li>greatest_prng_init_first_pass()
: <a class="el" href="byte__stack_2greatest_8h.html#a68d6128d6e6c114e9e59cdba4c31a231">greatest.h</a>
</li>
<li>greatest_prng_init_second_pass()
: <a class="el" href="checks_2greatest_8h.html#a75a4093984859ec0a09ca19d275c8be1">greatest.h</a>
</li>
<li>greatest_prng_step()
: <a class="el" href="list_2greatest_8h.html#aba19d208a4f4c34362d3344251af383c">greatest.h</a>
</li>
<li>greatest_run_info
: <a class="el" href="byte__stack_2greatest_8h.html#a02d7d8118b0b946b2dc398df48d4303c">greatest.h</a>
</li>
<li>GREATEST_RUN_SUITE
: <a class="el" href="byte__stack_2greatest_8h.html#add0046c730e93544e0b7a05f167e9acd">greatest.h</a>
</li>
<li>GREATEST_RUN_TEST
: <a class="el" href="byte__stack_2greatest_8h.html#a9c282c1d948a55db07300de45d43ea19">greatest.h</a>
</li>
<li>GREATEST_RUN_TEST1
: <a class="el" href="byte__stack_2greatest_8h.html#a140ab04f738af5e514458b3744cf48b8">greatest.h</a>
</li>
<li>GREATEST_SAVE_CONTEXT
: <a class="el" href="byte__stack_2greatest_8h.html#a8fadc3a8e443549fdbd18f7cbdc454ca">greatest.h</a>
</li>
<li>greatest_set_flag()
: <a class="el" href="checks_2greatest_8h.html#a88f46675180478cd96f65370f09e0b3b">greatest.h</a>
</li>
<li>GREATEST_SET_SETUP_CB()
: <a class="el" href="byte__stack_2greatest_8h.html#a1cdba027d4c078c75f98dc59ea64b682">greatest.h</a>
</li>
<li>greatest_set_suite_filter()
: <a class="el" href="byte__stack_2greatest_8h.html#aada2b10cc3204f127ef3b174c73a2bc5">greatest.h</a>
</li>
<li>GREATEST_SET_TEARDOWN_CB()
: <a class="el" href="list_2greatest_8h.html#a1fd800f99ae9d742d0cd880cdfb8b982">greatest.h</a>
</li>
<li>greatest_set_test_exclude()
: <a class="el" href="byte__stack_2greatest_8h.html#aa30750661d43b2ca7373b37adbe7b873">greatest.h</a>
</li>
<li>greatest_set_test_filter()
: <a class="el" href="checks_2greatest_8h.html#ab5708b04fafbc3f16b795b008cbef52e">greatest.h</a>
</li>
<li>greatest_set_test_suffix()
: <a class="el" href="byte__stack_2greatest_8h.html#a6a57e894d7edd87ad0a718534b0a20cc">greatest.h</a>
</li>
<li>GREATEST_SET_TIME
: <a class="el" href="list_2greatest_8h.html#a1686cda8fb9e3be233db965dfdd3de4b">greatest.h</a>
</li>
<li>greatest_set_verbosity()
: <a class="el" href="list_2greatest_8h.html#a957d1e2bd7def2fd35bafb95472a76ab">greatest.h</a>
</li>
<li>greatest_setup_cb
: <a class="el" href="byte__stack_2greatest_8h.html#aa56818c7cca1e895c9303fdeea4de976">greatest.h</a>
</li>
<li>GREATEST_SHUFFLE
: <a class="el" href="byte__stack_2greatest_8h.html#aa94afb6b461d4adc2230afc190f02395">greatest.h</a>
</li>
<li>GREATEST_SHUFFLE_SUITES
: <a class="el" href="list_2greatest_8h.html#adbdaade73fe5990af849aaad9efdd7e8">greatest.h</a>
</li>
<li>GREATEST_SHUFFLE_TESTS
: <a class="el" href="checks_2greatest_8h.html#a17ac5a801d2e6dd3a3a632d52772cd2d">greatest.h</a>
</li>
<li>GREATEST_SKIP
: <a class="el" href="byte__stack_2greatest_8h.html#a654ced1cc0ebc85d947a52cdfa9dccc5">greatest.h</a>
</li>
<li>GREATEST_SKIPm
: <a class="el" href="list_2greatest_8h.html#a9fbb3014331cc71099ebbe979fe4f52c">greatest.h</a>
</li>
<li>GREATEST_STDOUT
: <a class="el" href="byte__stack_2greatest_8h.html#a69c9677b6b8f503f537403367756ccd6">greatest.h</a>
</li>
<li>greatest_stop_at_first_fail()
: <a class="el" href="checks_2greatest_8h.html#a49d9ecca485c83dfffd3aefde91a74eb">greatest.h</a>
</li>
<li>GREATEST_SUITE
: <a class="el" href="list_2greatest_8h.html#a703f627d9e5a2de9facef196ca1e8406">greatest.h</a>
</li>
<li>greatest_suite_cb
: <a class="el" href="list_2greatest_8h.html#a841a763e7c1295ec340a793967015476">greatest.h</a>
</li>
<li>GREATEST_SUITE_EXTERN
: <a class="el" href="byte__stack_2greatest_8h.html#a2497e526d417923a172e77c52f3f8116">greatest.h</a>
</li>
<li>greatest_suite_info
: <a class="el" href="checks_2greatest_8h.html#a352a04c4b12d10be84c4a868fdf9c537">greatest.h</a>
</li>
<li>greatest_teardown_cb
: <a class="el" href="byte__stack_2greatest_8h.html#ab18ff5e54e7dcc191c399cf4634d6946">greatest.h</a>
</li>
<li>GREATEST_TEST
: <a class="el" href="checks_2greatest_8h.html#a82f1da2f78e9dbd97d6d40db94517d31">greatest.h</a>
</li>
<li>greatest_test_post()
: <a class="el" href="byte__stack_2greatest_8h.html#ad85af137e5f4cac18266ec26625bc2d5">greatest.h</a>
</li>
<li>greatest_test_pre()
: <a class="el" href="list_2greatest_8h.html#a64659eba842b77e66d5683d7628270f8">greatest.h</a>
</li>
<li>greatest_test_res
: <a class="el" href="checks_2greatest_8h.html#a5187630c83f3e0f13c60cd1e111e8199">greatest.h</a>
</li>
<li>GREATEST_TEST_RES_FAIL
: <a class="el" href="checks_2greatest_8h.html#a5187630c83f3e0f13c60cd1e111e8199a48556c5cd1dfff7ddbb175aba317347c">greatest.h</a>
</li>
<li>GREATEST_TEST_RES_PASS
: <a class="el" href="checks_2greatest_8h.html#a5187630c83f3e0f13c60cd1e111e8199abec65295ae36667827e4fd4ab7672a39">greatest.h</a>
</li>
<li>GREATEST_TEST_RES_SKIP
: <a class="el" href="list_2greatest_8h.html#a5187630c83f3e0f13c60cd1e111e8199a01f0e436b7510e9cd7659bf31115fb7e">greatest.h</a>
</li>
<li>GREATEST_TESTNAME_BUF_SIZE
: <a class="el" href="byte__stack_2greatest_8h.html#acf62f86c1461ccebf8e9ae3b5a8070dc">greatest.h</a>
</li>
<li>greatest_type_info
: <a class="el" href="list_2greatest_8h.html#ac5ebfbb1da2ba839e74dfde2cd65baaf">greatest.h</a>
</li>
<li>greatest_type_info_memory
: <a class="el" href="list_2greatest_8h.html#a952a279e1b414c2b0051ea1d2c0dfe34">greatest.h</a>
</li>
<li>greatest_type_info_string
: <a class="el" href="checks_2greatest_8h.html#a07f049d1ae125a65024f68449f6b8d4a">greatest.h</a>
</li>
<li>GREATEST_USE_ABBREVS
: <a class="el" href="list_2greatest_8h.html#ae34f7ce4532911197d3df1f33fad7b58">greatest.h</a>
</li>
<li>GREATEST_USE_LONGJMP
: <a class="el" href="checks_2greatest_8h.html#a8ecc570baba54754e8238618ddd0632c">greatest.h</a>
</li>
<li>GREATEST_USE_TIME
: <a class="el" href="list_2greatest_8h.html#af53ed65cd3ca2ef725708a6eb20afb3b">greatest.h</a>
</li>
<li>GREATEST_VERSION_MAJOR
: <a class="el" href="byte__stack_2greatest_8h.html#a1bcc7f912f833888b673b63245af9bfd">greatest.h</a>
</li>
<li>GREATEST_VERSION_MINOR
: <a class="el" href="checks_2greatest_8h.html#ae81d6f0f0128e516128f67fbfe6055d3">greatest.h</a>
</li>
<li>GREATEST_VERSION_PATCH
: <a class="el" href="list_2greatest_8h.html#a9e8aa02cc93af18bf7b823d3f7e95cdd">greatest.h</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
